Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.springframework.data.redis.connection
Enum RedisStringCommands.BitOperation

    java.lang.Object
      java.lang.Enum<RedisStringCommands.BitOperation>
          org.springframework.data.redis.connection.RedisStringCommands.BitOperation

All Implemented Interfaces:
  Serializable, Comparable<RedisStringCommands.BitOperation>

Enclosing interface:
  RedisStringCommands

    public static enum RedisStringCommands.BitOperation

extends Enum<RedisStringCommands.BitOperation>

Enum Constant Summary
`AND`
`NOT`
`OR`
`XOR`

Method Summary
`static RedisStringCommands.BitOperation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RedisStringCommands.BitOperation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AND

    public static final RedisStringCommands.BitOperation AND

### OR

    public static final RedisStringCommands.BitOperation OR

### XOR

    public static final RedisStringCommands.BitOperation XOR

### NOT

    public static final RedisStringCommands.BitOperation NOT

Method Detail

### values

    public static RedisStringCommands.BitOperation[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RedisStringCommands.BitOperation c : RedisStringCommands.BitOperation.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RedisStringCommands.BitOperation valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD